<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-rss-form-edit.twig */
class __TwigTemplate_1800935d73080506838749deccd354be4c8bfd67fc0877a960ad29fe421322d9 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "dataset-rss-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-rss-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Edit RSS");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        // line 32
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", \$(\"#dataSetRssEditForm\").submit()
";
    }

    // line 36
    public function block_callBack($context, array $blocks = [])
    {
        echo "configureQueryBuilder";
    }

    // line 38
    public function block_formFieldActions($context, array $blocks = [])
    {
        // line 39
        echo "[
    {
    \"field\": \"useOrderingClause\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"none\" },
    \"#orderClause\": { \"display\": \"block\" }
    }
    },{
    \"field\": \"useOrderingClause\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"none\" },
    \"#orderClause\": { \"display\": \"block\" }
    }
    },{
    \"field\": \"useOrderingClause\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"block\" },
    \"#orderClause\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"useOrderingClause\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"block\" },
    \"#orderClause\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"none\" },
    \"#filterClause\": { \"display\": \"block\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"none\" },
    \"#filterClause\": { \"display\": \"block\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"block\" },
    \"#filterClause\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"block\" },
    \"#filterClause\": { \"display\": \"none\" }
    }
    }
]
";
    }

    // line 116
    public function block_extra($context, array $blocks = [])
    {
        echo twig_jsonencode_filter(($context["extra"] ?? null));
    }

    // line 118
    public function block_formHtml($context, array $blocks = [])
    {
        // line 119
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 122
        echo __("General");
        echo "</span></a></li>
                <li><a href=\"#orderCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 123
        echo __("Order");
        echo "</span></a></li>
                <li><a href=\"#filterCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 124
        echo __("Filter");
        echo "</span></a></li>
            </ul>
            <form id=\"dataSetRssEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 126
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("dataSet.rss.edit", ["id" => $this->getAttribute(($context["dataSet"] ?? null), "dataSetId", []), "rssId" => $this->getAttribute(($context["feed"] ?? null), "id", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Title");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The title for this Rss");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo $context["forms"]->getinput("title", ($context["title"] ?? null), $this->getAttribute(($context["feed"] ?? null), "title", []), ($context["helpText"] ?? null), "", "required");
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Author");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The author for this Rss");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo $context["forms"]->getinput("author", ($context["title"] ?? null), $this->getAttribute(($context["feed"] ?? null), "author", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 137
        ob_start(function () { return ''; });
        echo __("Title Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item title");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        echo $context["forms"]->getdropdown("titleColumnId", "single", ($context["title"] ?? null), $this->getAttribute(($context["feed"] ?? null), "titleColumnId", []), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], $this->getAttribute(($context["extra"] ?? null), "columns", [])), "dataSetColumnId", "heading", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 141
        ob_start(function () { return ''; });
        echo __("Summary Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item summary");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        echo $context["forms"]->getdropdown("summaryColumnId", "single", ($context["title"] ?? null), $this->getAttribute(($context["feed"] ?? null), "summaryColumnId", []), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], $this->getAttribute(($context["extra"] ?? null), "columns", [])), "dataSetColumnId", "heading", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 145
        ob_start(function () { return ''; });
        echo __("Content Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item content");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        echo $context["forms"]->getdropdown("contentColumnId", "single", ($context["title"] ?? null), $this->getAttribute(($context["feed"] ?? null), "contentColumnId", []), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], $this->getAttribute(($context["extra"] ?? null), "columns", [])), "dataSetColumnId", "heading", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 149
        ob_start(function () { return ''; });
        echo __("Published Date Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item content. We will try to convert this to a date/time and if we can't we will use the current date/time.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        echo $context["forms"]->getdropdown("publishedDateColumnId", "single", ($context["title"] ?? null), $this->getAttribute(($context["feed"] ?? null), "publishedDateColumnId", []), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], $this->getAttribute(($context["extra"] ?? null), "dateColumns", [])), "dataSetColumnId", "heading", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 153
        ob_start(function () { return ''; });
        echo __("Generate new address?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick this box if you want to generate a new address for this RSS feed. You might want to do this if you think someone is accessing it unauthorised.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        echo $context["forms"]->getcheckbox("regeneratePsk", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"orderCriteria\">

                        ";
        // line 159
        ob_start(function () { return ''; });
        echo __("The DataSet results can be ordered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated order be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 160
        echo "                        ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                        <div id=\"orderClause\">

                        </div>

                        ";
        // line 166
        ob_start(function () { return ''; });
        echo __("Use advanced order clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        echo $context["forms"]->getcheckbox("useOrderingClause", ($context["title"] ?? null), $this->getAttribute(($context["extra"] ?? null), "useOrderingClause", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 170
        ob_start(function () { return ''; });
        echo __("Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause for how this dataset should be ordered");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        echo $context["forms"]->getinput("ordering", ($context["title"] ?? null), $this->getAttribute(($context["extra"] ?? null), "sort", []), ($context["helpText"] ?? null), "order-clause-field");
        echo "

                    </div>
                    <div class=\"tab-pane\" id=\"filterCriteria\">
                        ";
        // line 176
        ob_start(function () { return ''; });
        echo __("The DataSet results can be filtered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated filter be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                        <div id=\"filterClause\">

                        </div>

                        ";
        // line 183
        ob_start(function () { return ''; });
        echo __("Use advanced filter clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 185
        echo "                        ";
        echo $context["forms"]->getcheckbox("useFilteringClause", ($context["title"] ?? null), $this->getAttribute(($context["extra"] ?? null), "useFilteringClause", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 187
        ob_start(function () { return ''; });
        echo __("Filter");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 188
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause to filter this DataSet.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 189
        echo "                        ";
        echo $context["forms"]->getinput("filter", ($context["title"] ?? null), $this->getAttribute(($context["extra"] ?? null), "filter", []), ($context["helpText"] ?? null), "filter-clause-field");
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-rss-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  381 => 189,  376 => 188,  372 => 187,  366 => 185,  361 => 184,  357 => 183,  347 => 177,  343 => 176,  335 => 172,  330 => 171,  326 => 170,  320 => 168,  315 => 167,  311 => 166,  301 => 160,  297 => 159,  289 => 155,  284 => 154,  280 => 153,  274 => 151,  269 => 150,  265 => 149,  259 => 147,  254 => 146,  250 => 145,  244 => 143,  239 => 142,  235 => 141,  229 => 139,  224 => 138,  220 => 137,  214 => 135,  209 => 134,  205 => 133,  199 => 131,  194 => 130,  190 => 129,  184 => 126,  179 => 124,  175 => 123,  171 => 122,  166 => 119,  163 => 118,  157 => 116,  78 => 39,  75 => 38,  69 => 36,  63 => 33,  58 => 32,  55 => 31,  50 => 28,  47 => 27,  42 => 24,  40 => 25,  34 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-rss-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/dataset-rss-form-edit.twig");
    }
}
